/// <reference types="node" />
import { RendererStyleFlags2 } from '@angular/core';
import { QLabel, QPixmap, AspectRatioMode } from '@nodegui/nodegui';
import { NgComponent } from './component';
import { QVariantType } from '@nodegui/nodegui/dist/lib/QtCore/QVariant';
export declare class NgImage extends QLabel implements NgComponent {
    static nodeName: string;
    parent: any;
    originalPixmap?: QPixmap;
    aspectRatioMode?: AspectRatioMode;
    appendChild(newChild: any): void;
    insertBefore(newChild: any, refChild: any): void;
    setNgAttribute(name: string, value: string, namespace?: string | null): void;
    setNgProperty(name: string, value: string | boolean | AspectRatioMode | Buffer | QVariantType): void;
    setStyle(style: string, value: any, flags?: RendererStyleFlags2): void;
    setValue(value: string): void;
    setAspectRatioMode(mode: AspectRatioMode): void;
    scalePixmap(width: number, height: number): void;
    setPixmap(pixmap: QPixmap): void;
    removeAttribute(name: string, namespace?: string): void;
    removeChild(oldChild: any): void;
    removeClass(name: string): void;
    removeStyle(style: string, flags?: RendererStyleFlags2): void;
}
export declare function isValidUrl(str: string): boolean;
