import { QLineEdit } from '@nodegui/nodegui';
import { NgComponent } from './component';
import { RendererStyleFlags2 } from '@angular/core';
export declare class NgLineEdit extends QLineEdit implements NgComponent {
    static nodeName: string;
    parent: any;
    appendChild(newChild: any): void;
    insertBefore(newChild: any, refChild: any): void;
    setNgAttribute(name: string, value: string, namespace?: string | null): void;
    setNgProperty(name: string, value: boolean | string): void;
    setStyle(style: string, value: any, flags?: RendererStyleFlags2): void;
    setValue(value: string): void;
    removeAttribute(name: string, namespace?: string): void;
    removeChild(oldChild: any): void;
    removeClass(name: string): void;
    removeStyle(style: string, flags?: RendererStyleFlags2): void;
}
