import { LocationStrategy, LocationChangeListener } from '@angular/common';
export declare class NodeGuiLocationStrategy extends LocationStrategy {
    private popStateCallbacks;
    private currentUrlTree;
    path(includeHash?: boolean): string;
    prepareExternalUrl(internal: string): string;
    pushState(state: any, title: string, url: string, queryParams: string): void;
    replaceState(state: any, title: string, url: string, queryParams: string): void;
    forward(): void;
    back(): void;
    onPopState(fn: LocationChangeListener): void;
    getBaseHref(): string;
}
