import { PlatformLocation, LocationChangeListener } from '@angular/common';
import { NodeGuiLocationStrategy } from './location-strategy';
export declare class NodeguiPlatformLocation extends PlatformLocation {
    private locationStrategy;
    constructor(locationStrategy: NodeGuiLocationStrategy);
    getState(): any;
    readonly hostname: string;
    readonly href: string;
    readonly port: string;
    readonly protocol: string;
    getBaseHrefFromDOM(): string;
    onPopState(fn: LocationChangeListener): void;
    onHashChange(fn: LocationChangeListener): void;
    readonly search: string;
    readonly hash: string;
    pathname: string;
    pushState(state: any, title: string, url: string): void;
    replaceState(state: any, title: string, url: string): void;
    forward(): void;
    back(): void;
}
