import { ElementSchemaRegistry } from '@angular/compiler';
import { SchemaMetadata } from '@angular/core';
export declare class NodeguiElementSchemaRegistry extends ElementSchemaRegistry {
    hasProperty(tagName: string, propName: string): boolean;
    hasElement(tagName: string, schemaMetas: SchemaMetadata[]): boolean;
    getMappedPropName(propName: string): string;
    getDefaultComponentElementName(): string;
    securityContext(tagName: string, propName: string): any;
    validateProperty(name: string): {
        error: boolean;
        msg?: string;
    };
    validateAttribute(name: string): {
        error: boolean;
        msg?: string;
    };
    allKnownElementNames(): string[];
    normalizeAnimationStyleProperty(propName: string): string;
    normalizeAnimationStyleValue(camelCaseProp: string, userProvidedProp: string, val: string | number): {
        error: string;
        value: string;
    };
}
